List installers?



  • -I am relatively new to this, but why is there not a simple list that states:
    What version of PYQT4
    What version of Qt 4
    What version of SIP
    etc.
    All in one place with a direct download for all necessary components? Surely it must be easier to do that instead of different suppliers of these components having pages that reference other sites and pages that hold some information about what you might be able to install.

    Why does it have to be a lot of lists on lots of pages with little or no information about what goes where, in which order and what the results will be? I am sure for seasoned pros, this is not an issue, but the amount of pages I have had to visit to try and work out what is required is a real pain.

    I have windows 7 64 bit and I need to install python 2.7.4. I have PYQT 4 and I have Qt 4.8.5. I also have SIP 4.15.4 so believe that I have the right installers.

    It is not until you track down the PYQT4 install page that it tells you that you have to install SIP before PYQT4. Why is that not on the SIP page?

    A lot of ball ache could be saved by listing the installers and the relative parts instead of a lot of separate pages.


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    While I understand your complaint, you are writing to the wrong forum. PyQt and SIP are product of Riverbank Computing Ltd. which is a partner of Digia not a "sub-company".

    You should contact them directly regarding the content of their website



  • Ok, sorry about that. I think I have managed to resolve the issue now though.


  • Lifetime Qt Champion

    Good !

    You should still discuss with them to suggest improvements their site :)


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.